<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Introduction</title>
	<!-- bootstrap CSS -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

</head>
<body>

	<!-- 
	    How to add bootstrap in our page.

	    Bootstrap's 

	 -->

	 <nav class="navbar navbar-expand-lg navbar-dark bg-primary mb-5">
	 	<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#sample-nav">
	 		<span class="navbar-toggler-icon"></span>
	 		
	 	</button>
	 	<div class="collapse navbar-collapse" id="sample-nav">
	 		<ul class="navbar-nav mx-auto">
	 			<li class="nav-item">
	 				<a href="#" class="nav-link">Home</a>
	 			</li>
	 			<li>
	 				<a href="#" class="nav-link">Gallery</a>
	 			</li>
	 		</ul>
	 	</div>
	 	
	 </nav>

	<h1 class="text-primary bg-dark">Hello World feat. Bootstrap!</h1>
	<h2 class="text-danger bg-secondary text-center">Bootstrap makes CSS Easier</h2>
	<div style="width:25%" class="bg-dark my-5 mx-auto">
		<img src="./bootstrap.png" class="img-fluid">
	</div>
    <div class="container bg-dark">
    	<h2 class="text-center">Classes For Text Color</h2>
    	<p class="text-primary">Primary</p>
    	<p class="text-secondary">Secondary</p>
    	<p class="text-success">Success</p>
    	<p class="text-danger">Danger</p>
    	<p class="text-warning">Warning</p>
    	<p class="text-info">Info</p>
    </div>
    <div class="container-fluid bg-secondary">
    	<h2 class="text-center">Text Color Classes Continued</h2>
    	<p class="text-light">Light</p>
    	<p class="text-dark">Dark</p>
    	<p class="text-muted bg-dark">Muted</p>
    	<p class="text-white">White</p>
    </div>
    <div class="container">
    	<h2 class="text-center">Classes for Background Colors</h2>
    	<div class="bg-primary p-5">
    		BG Primary
    		<div class="bg-transparent">
    			BG Transparent
    		</div>
    	</div>
    	<div class="bg-primary">BG Primary</div>
    	<div class="bg-secondary">BG Secondary</div>
    	<div class="bg-success">BG Success</div>
    	<div class="bg-danger">BG Danger</div>
    	<div class="bg-info">Bg Info</div>
    	<div class="bg-dark text-darkwhite p-5">
    		BG Dark
    		<div class="bg-white text-dark">
    			BG white
    		</div>
    	</div>

    	<!-- Paddings and margins in Bootstrap -->
    	<div class="mt-5 p-3 bg-warning">
    		Bootstrap has its own responsive paddings and margins. Wherein the classes, m stands for margin and p stands for padding.
    	</div>
    	<div class="bg-primary my-5 px-4 text-white">
    		Bootstrap Padding and Margins can be applied on specific sides.
    		<ul>
    			<li>
    				t - sets either margin or padding at top side of the element mt or pt.
    			</li>
    			<li>
    				b - sets either margin or padding at bottom side of the element: mb or pb.
    			</li>
    			<li>
    				x - sets either margin or padding at the left and right side of the element:mx or px.
    			</li>
    			<li>
    				y - sets either margin or pading at the top and bottom side of the element: my or py.
    			</li>
    			<li>
    				l - sets either margin or padding at the left side of the element: ml or pl.
    			</li>
    			<li>
    				r - sets either margin or padding at the right side of the element:
    				mr or pr.
    			</li>
    			<li>
    				blank - sets margin or padding on all sides: m or p.
    			</li>
    		</ul>
    	</div>
    	<!-- To add a border to an element in bootstrap we add the class="border". It will add a subtle border which can be set in any of our element sides. However, this border will be gray abd subtle it may not be noticeable, we can add a color to it using bootstrap's color. -->
    	<div class="border-top border-warning my-5 px-4 bg-info text-dark">
    		Bootstrap padding and margin has sizes from 0 to 5 and auto:
    	    <ul>
    	    	<li>
    	    		0 - sets either margin or padding to 0
    	    	</li>
    	    	<li>
    	    		1 - sets either margin or padding to .25rem or 4px if the root element font size is 16 px
    	    	</li>
    	    	<li>
    	    		2 - sets either margin or padding to .5rem or 8 px if the root element font size is 16px
    	    	</li>
    	    	<li>
    	    		3 - sets either margin or padding to 1rem or 16 px if the root element font size is 16px
    	    	</li>
    	    	<li>
    	    		4 - sets either margin or padding to 1.5rem or 25px if the root element font size is 16px
    	    	</li>
    	    	<li>
    	    		auto - sets an automatically calculated margin or padding based on the amount of space left.
    	    	</li>
    	    </ul>
    	</div>
        <div class="border border-dark mt-5 p-4">
        	Div with Dark Border
        </div>
        <div class="border border-warning mt-3 p-3 bg-secondary">
        		Div with warning border.
        </div>
        <!-- centering block elements with margin in bootstrap -->
        <div style="width:450px;" class="mt-5 mx-auto bg-warning">
        	In bootstrap, we can use the mx-auto class to center an element which display is block and has a definite width.
        </div>
        <!-- text-center: centers text and inline elements. For block elements, only text will be centered. -->
        <div class="text-center bg-dark p-4">
        	<img src="https://place-puppy.com/300x300" class="img-fluid">
        	<span class="border border-dark bg-danger">I am an inline element.</span>
        	<p style="width:40%" class="mx-auto bg-success p-5">I am a block element.</p>
        </div>
        <div class="p-3 bg-secondary mt-5">
        	<a href="#" class="text-danger text-decoration-none">This link is red.</a>
        	<a href="#" class="text-primary">This link is blue.</a>
        	<a href="#" class="text-success">This link is green.</a>
        	<a href="https://www.google.com" target="_blank" class="btn btn-primary">I am a link.</a>
        </div>
        <div class="p-3">
        	<h2>Bootstrap Buttons</h2>
        	<button class="btn">
        		No Color
            </button>
        	<button class="btn btn-danger">
        		Btn Danger
        	</button>
        	<button class="btn btn-primary">
        		Btn Primary
        	</button>
        	<button class="btn-success">
        	    Btn Success
        	</button>
        	<div>
        		<button class="btn btn-outline-danger">
        		Btn Danger Outline
        	    </button>
        	    <button class="btn btn-outline-primary">
        		Btn Primary outline
        	    </button>
        	</div>
        	
        	<button class="btn btn-outline-success">
        		Btn Success Outline
        	</button>
        	<button class="btn btn-block btn-primary mt-3">Block Button</button>
        </div>
        <div class="big-dark p-5">
        	<h2 class="text-center">
        		Bootstrap Text Alignment
        	</h2>
        	<h4 class="text-left bg-danger">
        		Left Alignment
        	</h4>
        	<h4 class="text-center bg-primary">
        		Center Alignment
        	</h4>
        	<h4 class="text-right bg-success">
        		Right Alignment
        	</h4>
        	<!-- alignment with breakpoints -->
        	<!-- breakpoints are screens where we can apply our style. -->
        	<!-- text-lg- -->
        	<p class="bg-secondary text-md-left">Left Alignment</p>
        	<p class="bg-light text-lg-right">Right Alignment</p>
        	<p class="bg-info text-sm-center">Center Alignment</p>
        </div>
        <div style="height: 200px; width: 200px;" class="rounded-circle border border-dark p-2">
        	I looke like a circle
        </div>
        <div style="height: 200px; width: 200px;" class="rounded border border-dark bg-primary p-2">
        	I have rounded corners.
        </div>
        <div class="rounded-pill border border-dark bg-warning p-2">
        	I look like a pill
        </div>
    </div>

	<!-- JS Dependencies -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>
</html>